<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatts__db__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatts_db_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_db.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatts__db__t_1a125e744480bc95b882d13ac262484421" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatts_db_t::attHandle</definition>
        <argsstring />
        <name>attHandle</name>
        <briefdescription>
<para>Index for querying BLE GATT database. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="257" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__db__t_1a8afa842a42a725f35c8798bd02451d9a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatts_db_t::attType</definition>
        <argsstring />
        <name>attType</name>
        <briefdescription>
<para>UUID: 16-bit UUID type for an attribute entry. </para>        </briefdescription>
        <detaileddescription>
<para>For 32-bit and 128-bit UUIDs, the last 16 bits should be stored in this entry. The GATT DB access layer shall retrieve complete 128-bit UUID from the cy_ble_gatts_att_generic_val_t structure. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="263" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__db__t_1a1d22c12cb0f9d34191edbf14f50ec0bd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_gatts_db_t::permission</definition>
        <argsstring />
        <name>permission</name>
        <briefdescription>
<para>The permission bits are stored in a 32-bit field. </para>        </briefdescription>
        <detaileddescription>
<para>These 32-bits can be grouped in four bytes. The least significant byte is byte 0 (B0) and the most significant byte is byte 3 (B3). The bytes where the permissions have been grouped is as given below. Attribute permissions for read (B0) Attribute permissions for write (B1) Characteristic properties (B2) Implementation specific permission (B3) If permission is set to CY_BLE_GATT_DB_ATTR_CHAR_VAL_RD_EVENT, all GATT characteristic read requests will be indicated to the application using the CY_BLE_EVT_GATTS_READ_CHAR_VAL_ACCESS_REQ event. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="277" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__db__t_1affd980e4f324947958f2777f9da2ea74" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatts_db_t::attEndHandle</definition>
        <argsstring />
        <name>attEndHandle</name>
        <briefdescription>
<para>Attribute end handle, indicating logical boundary of given attribute. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="280" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="280" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__db__t_1a816d1f747f5dbb1214e07ef1d231c901" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unioncy__stc__ble__gatts__att__value__t">cy_stc_ble_gatts_att_value_t</ref></type>
        <definition>cy_stc_ble_gatts_att_value_t cy_stc_ble_gatts_db_t::attValue</definition>
        <argsstring />
        <name>attValue</name>
        <briefdescription>
<para>Attribute value format, it can be one of following: uint16_t 16bit - UUID for 16-bit service and characteristic declaration cy_ble_gatts_att_generic_val_t attFormatValue - Buffer containing 32-bit or 128-bit UUID values for service &amp; characteristic declaration cy_ble_gatts_att_generic_val_t attFormatValue - Buffer containing generic characteristic definition value or generic descriptor values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="289" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="289" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT database structure used in the GATT Server. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="742">
        <label>cy_stc_ble_gatts_db_t</label>
        <link refid="structcy__stc__ble__gatts__db__t" />
        <childnode refid="743" relation="usage">
          <edgelabel>attValue</edgelabel>
        </childnode>
      </node>
      <node id="743">
        <label>cy_stc_ble_gatts_att_value_t</label>
        <link refid="unioncy__stc__ble__gatts__att__value__t" />
        <childnode refid="744" relation="usage">
          <edgelabel>attFormatValue</edgelabel>
        </childnode>
      </node>
      <node id="744">
        <label>cy_stc_ble_gatts_att_pack_val_len_t</label>
        <link refid="structcy__stc__ble__gatts__att__pack__val__len__t" />
        <childnode refid="745" relation="usage">
          <edgelabel>attGenericValLen</edgelabel>
        </childnode>
      </node>
      <node id="745">
        <label>cy_stc_ble_gatts_att_gen_val_len_t</label>
        <link refid="structcy__stc__ble__gatts__att__gen__val__len__t" />
      </node>
    </collaborationgraph>
    <location bodyend="291" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="254" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="255" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatts__db__t_1affd980e4f324947958f2777f9da2ea74" virt="non-virtual"><scope>cy_stc_ble_gatts_db_t</scope><name>attEndHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__db__t_1a125e744480bc95b882d13ac262484421" virt="non-virtual"><scope>cy_stc_ble_gatts_db_t</scope><name>attHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__db__t_1a8afa842a42a725f35c8798bd02451d9a" virt="non-virtual"><scope>cy_stc_ble_gatts_db_t</scope><name>attType</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__db__t_1a816d1f747f5dbb1214e07ef1d231c901" virt="non-virtual"><scope>cy_stc_ble_gatts_db_t</scope><name>attValue</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__db__t_1a1d22c12cb0f9d34191edbf14f50ec0bd" virt="non-virtual"><scope>cy_stc_ble_gatts_db_t</scope><name>permission</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>